# Set nightly prices for a rate plan and room type over a date range

`POST /lodging/rate-prices` · Rivier · bookings

Set nightly prices for a rate plan and room type over a date range.

- Scope: bookings:admin
- Mcp: rivier_lodging_rate_price_set
- Sdk: bookings.ratePrice.create
- Cli: bookings rate price create

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "ratePlanId": {
      "type": "string",
      "format": "uuid"
    },
    "roomTypeId": {
      "type": "string",
      "format": "uuid"
    },
    "from": {
      "type": "string",
      "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
    },
    "to": {
      "type": "string",
      "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
    },
    "seasonId": {
      "type": "string",
      "format": "uuid"
    },
    "weekdays": {
      "type": "array",
      "items": {
        "type": "integer",
        "minimum": 1,
        "maximum": 7
      },
      "minItems": 1,
      "maxItems": 7
    },
    "baseMinor": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991
    },
    "extraAdultMinor": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991,
      "default": 0
    },
    "childMinor": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991,
      "default": 0
    },
    "occupancyMinor": {
      "type": "object",
      "additionalProperties": {
        "type": "integer",
        "minimum": 0,
        "maximum": 9007199254740991
      },
      "propertyNames": {
        "pattern": "^\\d{1,2}$"
      }
    }
  },
  "required": [
    "ratePlanId",
    "roomTypeId",
    "baseMinor"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/lodging/rate-prices' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "ratePlanId": "string",
  "roomTypeId": "string",
  "baseMinor": 0
}'
```
